.TH "mca_ptl_tcp_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_tcp_component_t \- TCP PTL module.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_tcp.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_ptl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase PTL component \fP"
.ti -1c
.RI "\fBmca_ptl_tcp_module_t\fP ** \fBtcp_ptl_modules\fP"
.br
.RI "\fIarray of available PTL moduless \fP"
.ti -1c
.RI "size_t \fBtcp_num_ptl_modules\fP"
.br
.RI "\fInumber of ptls actually used \fP"
.ti -1c
.RI "size_t \fBtcp_max_ptl_modules\fP"
.br
.RI "\fImaximum number of ptls - available kernel ifs \fP"
.ti -1c
.RI "int \fBtcp_listen_sd\fP"
.br
.RI "\fIlisten socket for incoming connection requests \fP"
.ti -1c
.RI "unsigned short \fBtcp_listen_port\fP"
.br
.RI "\fIlisten port \fP"
.ti -1c
.RI "char * \fBtcp_if_include\fP"
.br
.RI "\fIcomma seperated list of interface to include \fP"
.ti -1c
.RI "char * \fBtcp_if_exclude\fP"
.br
.RI "\fIcomma seperated list of interface to exclude \fP"
.ti -1c
.RI "int \fBtcp_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int \fBtcp_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int \fBtcp_free_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "int \fBtcp_sndbuf\fP"
.br
.RI "\fIsocket sndbuf size \fP"
.ti -1c
.RI "int \fBtcp_rcvbuf\fP"
.br
.RI "\fIsocket rcvbuf size \fP"
.ti -1c
.RI "size_t \fBtcp_frag_size\fP"
.br
.RI "\fIbuffer limit for the TCP PTL \fP"
.ti -1c
.RI "ompi_free_list_t \fBtcp_send_frags\fP"
.br
.RI "\fIfree list of tcp send fragments \fP"
.ti -1c
.RI "ompi_free_list_t \fBtcp_recv_frags\fP"
.br
.RI "\fIfree list of tcp recv fragments \fP"
.ti -1c
.RI "opal_hash_table_t \fBtcp_procs\fP"
.br
.RI "\fIhash table of tcp proc structures \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBtcp_pending_acks\fP"
.br
.RI "\fIlist of pending acks - retry as sends complete \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBtcp_events\fP"
.br
.RI "\fIlist of pending events \fP"
.ti -1c
.RI "\fBmca_ptl_tcp_proc_t\fP * \fBtcp_local\fP"
.br
.RI "\fIthe tcp proc instance corresponding to the local process \fP"
.ti -1c
.RI "opal_event_t \fBtcp_send_event\fP"
.br
.RI "\fIevent structure for sends \fP"
.ti -1c
.RI "opal_event_t \fBtcp_recv_event\fP"
.br
.RI "\fIevent structure for recvs \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBtcp_lock\fP"
.br
.RI "\fIlock for accessing module state \fP"
.in -1c
.SH "Detailed Description"
.PP 
TCP PTL module. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
